FROM node:alpine as Build
ENV NODE_ENV=production
WORKDIR /app

COPY [ "package-lock.json", "package.json", "index.ts", "tsconfig.json", "./" ]
COPY server ./server

RUN npm ci --omit=dev

RUN npm run build
CMD ["npm","run","start"]
